ONVIF::Device::Elements::GetCertificateInformationResponse(3pm)

NAME
ONVIF::Device::Elements::GetCertificateInformationResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetCertificateInformationResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateInformation

     $element->set_CertificateInformation($data);
     $element->get_CertificateInformation();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetCertificateInformationResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   CertificateInformation =>  { # ONVIF::Device::Types::CertificateInformation
     CertificateID =>  $some_value, # token
     IssuerDN =>  $some_value, # string
     SubjectDN =>  $some_value, # string
     KeyUsage =>  { value => $some_value },
     ExtendedKeyUsage =>  { value => $some_value },
     KeyLength =>  $some_value, # int
     Version =>  $some_value, # string
     SerialNum =>  $some_value, # string
     SignatureAlgorithm =>  $some_value, # string
     Validity =>  { # ONVIF::Device::Types::DateTimeRange
       From =>  $some_value, # dateTime
       Until =>  $some_value, # dateTime
     },
     Extension =>  { # ONVIF::Device::Types::CertificateInformationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL